#!/bin/bash
#
#
# Deb and RPM installation tests on our supported platforms.
#
# Usage:
#   # First edit REPO urls in test-install.sh
#   $ ./test-install.sh
#
# Requires docker
#

# Update these as needed.
APT_REPO=http://s3-us-west-2.amazonaws.com/staging-confluent-packages-4.0.0/deb/4.0
YUM_REPO=http://s3-us-west-2.amazonaws.com/staging-confluent-packages-4.0.0/rpm/4.0

set -xeu

docker run -t -v $PWD:/x centos:7 /x/test-install-centos.sh $YUM_REPO

docker run -t -v $PWD:/x centos:6.8 /x/test-install-centos.sh $YUM_REPO

docker run -t -v $PWD:/x ubuntu:14.04 /x/test-install-ubuntu.sh $APT_REPO

docker run -t -v $PWD:/x ubuntu:16.04 /x/test-install-ubuntu.sh $APT_REPO


