#!/bin/bash

set -exu

APT_REPO=$1

apt update
apt install -y wget software-properties-common
wget -qO - $APT_REPO/archive.key | apt-key add -

add-apt-repository "deb [arch=amd64] $APT_REPO stable main"
apt update
apt install -y librdkafka1 confluent-librdkafka-plugins libyajl2
wget https://launchpad.net/ubuntu/+archive/primary/+files/kafkacat_1.3.1-1_amd64.deb
dpkg -i kafkacat_1.3.1-1_amd64.deb
echo | kafkacat -P -X plugin.library.paths=monitoring-interceptor -t test -b broker -X confluent.monitoring.interceptor.icdebug=true -E

