import sys
from confluent_kafka import Producer
import time

bootstrap_server = sys.argv[1]

def acked(err, msg):
    if err is not None:
        print("Failed to deliver message: {0}: {1}"
              .format(msg.value(), err.str()))
    else:
        # print("Message produced: {0}".format(msg.value()))
        pass

p = Producer(
  {
      'bootstrap.servers': bootstrap_server,
      'plugin.library.paths': "/usr/local/lib/monitoring-interceptor.so"
  }
)

try:
    count = 0
    while True:
        p.produce('test-topic-2', 'myvalue #{0}'.format(count), callback=acked)
        p.poll(10)
        time.sleep(0.5)

except KeyboardInterrupt:
    pass

p.flush(30)
